> For the complete documentation index, see [llms.txt](https://docs.skeddly.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.skeddly.com/data-types/actionparameters-object/amazondeleterdssnapshotsparameters-object.md).

# AmazonDeleteRdsSnapshotsParameters Object

## Description <a href="#description" id="description"></a>

Parameters for the Amazon Delete RDS Snapshots action.

## Properties <a href="#properties" id="properties"></a>

### credentialIds <a href="#credentialids" id="credentialids"></a>

Registered credentials to use with the action. One and only one credential must be specified.

Type: Array of `string`

Required: Yes

### deleteScheme <a href="#deletescheme" id="deletescheme"></a>

Delete scheme to use to determine the snapshots to delete or preserve.

Type: `string`

Valid Values:

* `none`
* `first-in-first-out`
* `grandfather-father-son`

Required: Yes

### firstInFirstOutParameters <a href="#firstinfirstoutparameters" id="firstinfirstoutparameters"></a>

Parameters to use when using a first-in-first-out delete scheme. Required when `deleteScheme` is `first-in-first-out`.

Type: [FirstInFirstOutDeleteSchemeParameters](/data-types/firstinfirstoutdeleteschemeparameters-object.md)​ object

Required: Conditional

### grandfatherFatherSonParameters <a href="#grandfatherfathersonparameters" id="grandfatherfathersonparameters"></a>

Parameters to use when using a grandfather-father-son delete scheme. Required when `deleteScheme` is `grandfather-father-son`.

Type: [GrandfatherFatherSonDeleteSchemeParameters](/data-types/grandfatherfathersondeleteschemeparameters-object.md)​ object

Required: Conditional

### groupingMethod <a href="#groupingmethod" id="groupingmethod"></a>

Method in which to group snapshots when deleting.

Type: `string`

Valid Values:

* `none`
* `by-source-id`
* `by-resource-tag`

Required: Yes

### groupingResourceTagName <a href="#groupingresourcetagname" id="groupingresourcetagname"></a>

Name of the resource tag to use to group snapshots. Required when `groupingMethod` is `by-resource-tag`.

Type: `string`

Required: Conditional

### isIncludeClusterSnapshots <a href="#isdeletefroms3" id="isdeletefroms3"></a>

Indicates whether RDS cluster snapshots (ie. Aurora) should be included as well as db snapshots.

Type: `boolean`

Default: `true`

Required: No

### isTest <a href="#istest" id="istest"></a>

Determines if "Test Mode" is enabled on the action. Snapshots will not be deleted when "Test Mode" is enabled.

Type: `boolean`

Required: No

Default Value: `false`

### regionNames <a href="#regionnames" id="regionnames"></a>

Regions to use with the action. Omit (or specify `null`) to include "all regions".

Type: Array of `string`

Required: No

### reportFormat <a href="#reportformat" id="reportformat"></a>

Format of the final report. Required when `targetType` is `email`.

Type: `string`

Valid Values:

* `email`
* `email-html-attachment`
* `email-csv-attachment`

Required: Conditional

### resourceTagComparison <a href="#resourcetagcomparison" id="resourcetagcomparison"></a>

Comparison to use when identifying snapshots by resource tag. Required when `snapshotIdentificationMethod` is `by-resource-tag`.

Type: [ResourceTagComparison ](/data-types/resourcetagcomparison-object-1.md)object.

Required: Conditional

### snapshotIdComparison <a href="#volumeidcomparison" id="volumeidcomparison"></a>

Comparison to use when matching snapshots by their ID. Required when `snapshotIdentificationMethod` is `by-snapshot-id`.

Type: [RdsSnapshotIdComparison](/data-types/rdssnapshotidcomparison-object.md) object

Required: Conditional

### snapshotIdentificationMethod

Method to use to identify snapshots to be deleted.

Type: `string`

Valid Values:

* `all-snapshots`
* `by-snapshot-id`
* `by-source-id`
* `by-resource-tag`

Required: Yes

### sourceIdComparison <a href="#volumeidcomparison" id="volumeidcomparison"></a>

Comparison to use when matching snapshots by their source (instance or cluster) ID. Required when `snapshotIdentificationMethod` is `by-source-id`.

Type: [RdsSourceIdComparison](/data-types/rdssourceidcomparison-object.md) object

Required: Conditional

### targetEmails <a href="#targetemails" id="targetemails"></a>

The target email addresses to send the final report.

Type: array of `string`

Required: No

### targetType <a href="#targettype" id="targettype"></a>

Indicates whether a report should be generated with the execution results.

Type: `string`

Valid Values:

* `none`
* `email`

Required: No

Default: `none`

## Sample JSON <a href="#sample-json" id="sample-json"></a>

```javascript
{
    "credentialIds": [
        "cred-00000001"
    ],
    "regionNames": [
        "us-east-1"
    ],

    "snapshotIdentificationMethod": "by-resource-tag",
    "resourceTagComparison": {
        "tagName": "skeddly:retention",
        "compareType": "equals",
        "tagValue": "7"
    },

    "deleteScheme": "first-in-first-out",
    "firstInFirstOutParameters": {
        "olderThanDays": 30,
        "minimumToKeep": 2
    },

    "groupingMethod": "by-resource-tag",
    "groupingResourceTagName": "skeddly:volume-id",

    "isIncludeClusterSnapshots": true,

    "targetType": "email",
    "targetEmails": [
        "foo@example.com"
    ],
    "ReportFormat": "email",
    
    "isTest": false
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/data-types/actionparameters-object/amazondeleterdssnapshotsparameters-object.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
